%define efibootmgr_ver 0.4.0

Name: elilo
Summary: ELILO linux boot loader for EFI-based systems
Group: System Environment/Base
Obsoletes: eli
Version: 3.2
Release: 4
License: GPL
Source: ftp://ftp.hpl.hp.com/pub/linux-ia64/elilo-%{version}.tar.gz
Source1: http://domsch.com/linux/ia64/efibootmgr-%{efibootmgr_ver}.tar.gz
Patch: elilo-3.2-makefile.patch
Patch1: elilo-3.1-blkio.patch
Patch2: elilo-3.3pre.patch
Patch3: elilo-3.3pre-fix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
ExclusiveArch: ia64

%description
ELILO is a linux boot loader for EFI-based systems, such as IA-64.


%prep
%setup -a 1
%patch -p1 -b .foo
#%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
make 
cd efibootmgr-%{efibootmgr_ver}
make
cp COPYING INSTALL README doc
mv doc efibootmgr-doc
cd ..

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/boot/efi/EFI/redhat
install -m 755 elilo.efi $RPM_BUILD_ROOT/boot/efi/EFI/redhat/elilo.efi

mkdir -p $RPM_BUILD_ROOT/usr/sbin
install -m 755 efibootmgr-%{efibootmgr_ver}/src/efibootmgr/efibootmgr $RPM_BUILD_ROOT/usr/sbin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc docs/* README.* LIMITATIONS ChangeLog efibootmgr-%{efibootmgr_ver}/efibootmgr-doc 
/boot/efi
/usr/sbin/efibootmgr

%changelog
* Tue Aug 13 2002 Bill Nottingham <notting@redhat.com> 3.2-5
- /boot/efi/EFI/redhat

* Wed Jul 24 2002 Bill Nottingham <notting@redhat.com> 3.2-4
- fix CWD munging on some firmwares

* Thu Jul 18 2002 Bill Nottingham <notting@redhat.com> 3.2-3
- move to /boot/efi/redhat
- add fixes from 3.3pre

* Thu May 23 2002 Bill Nottingham <notting@redhat.com> 3.2-1
- update elilo to 3.2
- update efibootmgr to 0.4.0

* Wed Dec 12 2001 Bill Nottingham <notting@redhat.com>
- don't call blkio->Reset() - some things *really* don't like that (#55791)

* Mon Oct  8 2001 Bill Nottingham <notting@redhat.com>
- update to 3.1

* Fri Aug 10 2001 Bill Nottingham <notting@redhat.com>
- update efibootmgr to *final* 0.3.4

* Thu Aug  9 2001 Bill Nottingham <notting@redhat.com>
- add Stephane's elilo bugfix patches
- update efibootmgr to 0.3.4

* Sun Jul  8 2001 Bill Nottingham <notting@redhat.com>
- update to 3.0, split into its own package

* Tue Jun  5 2001 Bill Nottingham <notting@redhat.com>
- add fix for invocations from the boot manager menu (#42222)

* Tue May 22 2001 Bill Nottingham <notting@redhat.com>
- add bugfix for efibootmgr (<schwab@suse.de>)

* Mon May 21 2001 Bill Nottingham <notting@redhat.com>
- update to 2.5
- add in efibootmgr from Dell (<Matt_Domsch@dell.com>)

* Thu May  3 2001 Bill Nottingham <notting@redhat.com>
- fix booting of kernels with extra arguments (#37711)

* Wed Apr 25 2001 Bill Nottingham <notting@redhat.com>
- take out Stephane's initrd patch

* Fri Apr 20 2001 Bill Nottingham <notting@redhat.com>
- fix the verbosity patch to not break passing arguments to images

* Wed Apr 18 2001 Bill Nottingham <notting@redhat.com>
- update to 2.0, build elilo, obsolete eli

* Tue Dec  5 2000 Bill Nottingham <notting@redhat.com>
- update to 1.1

* Thu Oct 26 2000 Bill Nottingham <notting@redhat.com>
- add patch for new toolchain, update to 1.0

* Thu Aug 17 2000 Bill Nottingham <notting@redhat.com>
- update to 0.9
